/*
 * $Id: PEStatistics.java,v 1.2 2000/06/15 13:55:48 yamauchi Exp $
 *
 *     (M\pi)^2 : PE statistics 
 *	Copyright 1999 By YAMAUCHI Hitoshi 山内 斉 
 *	@author YAMAUCHI Hitoshi 山内 斉
 *	
 * PE 関係の統計情報 : 
 *	PEStat (PE Status とまぎらわしいか)
 *
 * original source Statistics.h
 *
 * 1999年8月22日(日)
 */

package jp.ac.tohoku.is.archi.mpi2.common;

/**
 * PE についての統計情報
 */
public final class PEStatistics  {
    /*
     * HemiCube の生成数
     */
    private int mNumberOfGenHC;	
    
    /**
     * constructor
     */
    PEStatistics()
    {
	this.init();
    }

    /**
     * initializer
     */
    public void init()
    {
	this.mNumberOfGenHC = 0;
    }

    /**
     * HemiCube の生産数の増加記録
     */
    public void incHCGenNum() 		
    {
	this.mNumberOfGenHC++;	
    }

    /**
     * HemiCube の生産数の増加記録
     */
    public int  getHCGenNum()
    {
	return(this.mNumberOfGenHC);	
    }

    public String toStringWithHead(String headder)
    {
	String ret = headder + " total generated number of HCs " +
	    this.mNumberOfGenHC;
	return(ret);
    }
}

